org.apache.maven.scm.provider.bazaar.repository

## Class BazaarScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.bazaar.repository.BazaarScmProviderRepository

    public class BazaarScmProviderRepository
    extends ScmProviderRepositoryWithHost

Version:
  $Id: BazaarScmProviderRepository.java 804401 2009-08-14 22:46:24Z struberg $
Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Constructor Summary

Constructors
Constructor and Description
`BazaarScmProviderRepository(String url)`

### Method Summary

Methods
`String` `getURI()`
`String` `toString()`
`String` `validateURI()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BazaarScmProviderRepository

    public BazaarScmProviderRepository(String url)

### Method Detail

#### getURI

    public String getURI()

#### validateURI

    public String validateURI()

Returns:
  A message if the repository as an invalid URI, null if the URI seems fine.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`